Package org.apache.sysds.runtime.compress.colgroup.indexes

## Class IColIndex.SliceResult

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.indexes.IColIndex.SliceResult

Enclosing interface:
  IColIndex

    public static class IColIndex.SliceResult
    extends Object

A Class for slice results containing indexes for the slicing of dictionaries, and the resulting column index

### Field Summary

Fields
`int` `idEnd` End index (not inclusive) to slice inside the dictionary
`int` `idStart` Start index to slice inside the dictionary
`IColIndex` `ret` The already modified column index to return on slices

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### idStart

    public final int idStart

Start index to slice inside the dictionary

#### idEnd

    public final int idEnd

End index (not inclusive) to slice inside the dictionary

#### ret

    public final IColIndex ret

The already modified column index to return on slices

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`